XDT-CSOURCE(1)

NAME
xdt-csource - C code generation utility for arbitrary data

SYNOPSIS

xdt-csource [options] [file]

xdt-csource [options] --build-list [[name] [file]...]

DESCRIPTION

xdt-csource is a small utility that generates C code containing arbitrary data, useful for compiling texts or other data directly into programs. It supersedes exo-csource.

INVOCATION

xdt-csource either takes as input one file name to generate code for, or, using the --build-list option, a list of (name, file) pairs to generate code for a list of images into named variables.

  Options

-h, --help
    Print brief help and exit.

-V, --version
    Print version information and exit.

--extern
    Generate extern symbols.

--static
    Generate static symbols (default).

--name=identifier
    Specifies the identifier name (prefix) for the generated variables (only used if --build-list was not specified as well).

--build-list
    Enables (name, file) pair parsing mode.

--strip-comments
    Remove comments from XML files

--strip-content
    Remove node contents from XML files

--output=identifier
    Prints the output to identifier instead of stdout (only used if --build-list was not specified as well).

SEE ALSO

The gdk-pixbuf-csource utility which ships with the Gtk+ distribution, available from www.gtk.org[1].

AUTHOR

Original program exo-csource was written by Benedikt Meurer <benny@xfce.org>. xdt-csource supersedes it.

This manual page was provided by the Xfce Development Team <xfce4-dev@xfce.org>.

NOTES

1.  www.gtk.org
    https://www.gtk.org